part of mvu_flutter;

/// [Update.update] method's return type, a simple union of updated model and commands.
class ProducedState<ModelType extends Model> {
  final ModelType model;
  final List<Cmd> commands;

  ProducedState(this.model, [this.commands = const []]);
}
